### Function

# Pangoparse_variant

#### Declaration [src]

    gboolean
    pango_parse_variant (
      const char* str,
      PangoVariant* variant,
      gboolean warn
    )

#### Description [src]

Parses a font variant.

The allowed values are “normal”, “small-caps”, “all-small-caps”, “petite-caps”, “all-petite-caps”, “unicase” and “title-caps”, case variations being ignored.

#### Parameters

`str`

  Type: `const char*`

  A string to parse.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`variant`

  Type: `PangoVariant`

  A `PangoVariant` to store the result in.

  The argument will be set by the function.
  The caller of the function takes ownership of the data, and is responsible for freeing it.

`warn`

  Type: `gboolean`

  If `TRUE`, issue a `g_warning()` on bad input.

#### Return value

Type: `gboolean`

`TRUE` if `str` was successfully parsed.